#include "metaformatters.h"

#include "dublincore.h"

metaformatters::metaformatters() {
  this->addFormat(new dublin_core);
}

/**
 * Destructor code for the metaformatters class
 */
metaformatters::~metaformatters() {
  vector<metaformat *>::iterator here = this->formatters.begin();
  vector<metaformat *>::iterator end = this->formatters.end();
  
  // destroy the formatters themselves
  while (here != end)
    {
      delete here->second;
      ++here;
    }
}

bool metaformatters::output_record(ostream &output, recptproto *protocol, text_t & collection, text_t &record_OID, text_t &format) {
  
}

metaformat *metaformatters::getFormat(text_t &name)
{
  return this->formatters[name];
}

void metaformatters::addFormat(metaformat *formatter)
{
  this->formatters.push_back(formatter->getName(), formatter);
}
